Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class RowSelectionListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.RowSelectionListenerAdapter

All Implemented Interfaces:
  RowSelectionListener

    public class RowSelectionListenerAdapter

extends java.lang.Object
implements RowSelectionListener

Constructor Summary
`RowSelectionListenerAdapter()`

Method Summary
`boolean` | `doBeforeRowSelect(RowSelectionModel sm, int rowIndex, boolean keepExisting, Record record)` Fires when a row is selected being selected, return false to cancel.
`void` | `onRowDeselect(RowSelectionModel sm, int rowIndex, Record record)` Fires when a row is deselected.
`void` | `onRowSelect(RowSelectionModel sm, int rowIndex, Record record)` Fires when a row is selected.
`void` | `onSelectionChange(RowSelectionModel sm)` Fires when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSelectionListenerAdapter

    public RowSelectionListenerAdapter()

Method Detail

### doBeforeRowSelect

    public boolean doBeforeRowSelect(RowSelectionModel sm,
                                     int rowIndex,
                                     boolean keepExisting,
                                     Record record)

  Description copied from interface: `RowSelectionListener`
  Fires when a row is selected being selected, return false to cancel.

  Specified by:
    `doBeforeRowSelect` in interface `RowSelectionListener`
  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `keepExisting` - false if other selections will be cleared
    `record` - the record
  Returns:
    false the cancel the row select

### onRowDeselect

    public void onRowDeselect(RowSelectionModel sm,
                              int rowIndex,
                              Record record)

  Description copied from interface: `RowSelectionListener`
  Fires when a row is deselected.

  Specified by:
    `onRowDeselect` in interface `RowSelectionListener`
  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `record` - the record

### onRowSelect

    public void onRowSelect(RowSelectionModel sm,
                            int rowIndex,
                            Record record)

  Description copied from interface: `RowSelectionListener`
  Fires when a row is selected.

  Specified by:
    `onRowSelect` in interface `RowSelectionListener`
  Parameters:
    `sm` - this
    `rowIndex` - the row index
    `record` - the record

### onSelectionChange

    public void onSelectionChange(RowSelectionModel sm)

  Description copied from interface: `RowSelectionListener`
  Fires when the selection changes.

  Specified by:
    `onSelectionChange` in interface `RowSelectionListener`
  Parameters:
    `sm` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD